Class TroubleTicketCreateRequest
java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.TroubleTicketCreateRequest
Request body for creating a trouble ticket
(
POST /v2/tickets, Tickets_Create).
code, description, occurredDateTime and primaryId are
required. Each entry in contacts is either a registered-user contact or a
non-registered contact (build with OrderContact.registered(String, List) /
OrderContact.nonRegistered(String, String, List)); each attachments entry references a previously
uploaded attachment by id.
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionbuilder(TicketCode code, String description, String occurredDateTime, String primaryId) Returns a new builder for a trouble ticket create request.
-
Method Details
-
builder
public static TroubleTicketCreateRequest.Builder builder(TicketCode code, String description, String occurredDateTime, String primaryId) Returns a new builder for a trouble ticket create request.- Parameters:
code- the trouble ticket problem code (required)description- the issue description (required)occurredDateTime- when the issue occurred (required)primaryId- the primary identifier (e.g. asset/cage id) (required)- Returns:
- a new builder
-